Subject: bug#39413: 26.2; Emacs gets hung

From: chiaki-ishikawa-thunderbird-account <[email-masked]>
Date: Sun, 23 Feb 2020 02:53:06 +0900

Thank you. I will taken note of "finish" and see if I can observe the 
return from alloc.c code
if I get to see the next obvious hung.

Chiaki

On 2020/02/22 2:27, Noam Postavsky wrote:
> tags 39413 + unreproducible
> quit
>
> chiaki-ishikawa-thunderbird-account <[email-masked]> writes:
>
>> I printed stack backtrace and Emacs seemed to be in memory allocator.
>> Then I let it continue.
>> Still the emacs screen was locked up.
>> So I interrupted the execution, and printed stack backtrace.
>> Again Emacs was in memory allocator.
>> Eventually I gave up and killed emacs.
>>
>> It seems that garbage collection or
>> routine in alloc.c was looping.
> That's not enough evidence to show that the garbage collection was
> looping.  There could be some higher level loop that does a lot of
> allocation, so that if you stop at some random point you would have a
> high probability of stopping in the alloc.c.  If you catch this in gdb
> again, try running the 'finish' a few times to see if it can leave the
> alloc.c code.
>
>> This is not a repeatable bug. I have no idea how to reproduce this. It
>> occurs every now and then.